:root {
  font-family: "Trebuchet MS", sans-serif;
}

body {
  all: unset;
  display: block;
  width: 100svw;
  height: 100svh;
  background-color: #f7dfc6;
  position: relative;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  user-select: none;
}

#editor,
#viewer {
  all: unset;
  box-sizing: border-box;
  background-color: #f7dfc6;
  white-space: pre-wrap;
  overflow-wrap: break-word;
  width: 100%;
  max-width: 40em;
  flex-grow: 1;
  padding: 1em;
  font-size: larger;
  user-select: text;
}

#viewer {
  display: none;
}

.top-bar {
  color: #646464;
  display: flex;
  align-items: center;
  gap: 1em;
}

.top-bar button {
  all: unset;
  font-size: 1.5em;
  cursor: pointer;
}

.bottom-bar {
  position: sticky;
  bottom: 1em;
  margin-top: 1em;
  display: flex;
  column-gap: 2em;
  row-gap: 0.5em;
  flex-wrap: wrap;
  justify-content: center;
}

#editor:not(:focus-within) + * + .bottom-bar .viewer-navigation kbd {
  outline: 2px solid transparent; /* fallback */
  outline-offset: 2px;
  box-shadow: 0 0 0 2px #fb923c;
  border-radius: 0.25rem;
  transition: box-shadow 0.2s ease-in-out;
}

#editor:focus-within + * + .bottom-bar .editor-navigation kbd {
  outline: 2px solid transparent; /* fallback */
  outline-offset: 2px;
  box-shadow: 0 0 0 2px #fb923c;
  border-radius: 0.25rem;
  transition: box-shadow 0.2s ease-in-out;
}

#settings-btn {
  aspect-ratio: 1/1;
  position: fixed;
  top: 1em;
  right: 1em;
  font-size: large;
  transform: rotate(45deg);
  transition-duration: 1s;
  visibility: visible;
  border: 4px outset #333;
  border-radius: 0;
}

#settings-btn:hover {
  transform: rotate(225deg);
  transition-duration: 1s;
  border-radius: 50%;
}

#settings-sheet {
  position: fixed;
  top: 0;
  right: 0;
  width: 20em;
  max-width: 70svw;
  height: 100svh;
  padding: 6em 1em 1em 1em;
  border-radius: 1em 0 0 1em;
  background-color: #6a4f4fcc;
  visibility: hidden;
  font-size: larger;
  color: #f7dfc6;
}

#settings-sheet::after {
  content: "Close settings";
  color: #6a4f4fcc;
  font-variant: small-caps;
  transform: rotate(-90deg) translateX(50%);
  position: absolute;
  left: -4em;
  top: 50%;
  pointer-events: none;
  user-select: none;
}

#settings-sheet::before {
  content: "NotePage settings";
  position: absolute;
  top: 1.5em;
}

#settings-sheet:hover {
  visibility: visible;
}

.toggles {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5em;
}

#settings-sheet label {
  border-radius: 2em;
  padding: 0.2em 0.3em;
  background-color: #6a4f4f;
  opacity: 100%;
}

#settings-sheet input[type="checkbox"] {
  display: none;
  position: relative;
}

label:has(input[type="checkbox"]:checked)::after {
  content: "✔";
  font-size: medium;
  color: #f7dfc6;
}

kbd {
  display: inline-block;
  padding: 2px 6px;
  vertical-align: baseline;
  font-family: "SFMono-Regular", Consolas, "Liberation Mono", Menlo, monospace;
  line-height: 1.4;
  color: #333;
  background: #f7f7f7;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  white-space: nowrap;
}
